[linux-elitists] Laptop that doesn't suck?

Rick Moen rick@linuxmafia.com
Mon Jan 19 21:31:23 PST 2004


Quoting Greg KH (greg@kroah.com):

> SATA has only recently gotten Linux support.  I can't really talk to
> that, but there are patches for 2.4 for this feature.

Some details I hope will clarify that situation:
http://linuxmafia.com/faq/Hardware/sata.html

> My word.  What is a "stock kernel" for Debian then?  Isn't it a 2.2
> kernel?

Woody's _installation_ kernel of choice for Debian-stable[1] is 2.4.18.  
But the admin should immmediately install something better for local
hardware, e.g., "apt-get install kernel-image-2.4.18-686-smp", etc. 
(on testing/unstable, "apt-get install kernel-image-2.4.24-1-686-smp").

Yep, some folks indeed never figure this out, and keep screwing around
with 2.2 kernels.  Shame.

(It's also a shame that there isn't a kernel-patch-2.4-libata package.
I might get around to making one.)

[1] That being the installer's "bf2.4" boot flavour.  At least a couple
of unofficial "netinst" installers use 2.4.22 kernels.



More information about the linux-elitists mailing list